aboutsummaryrefslogtreecommitdiff
path: root/desktop
diff options
context:
space:
mode:
authorAntonio Leal <antonioleal@yahoo.com>2024-08-21 21:24:19 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-08-22 06:22:32 +0700
commit095cd045fc63a91ad502a715d9ba522137603bec (patch)
tree48297ded89d0874cc9bcde15d07368ddaa08fd34 /desktop
parent6757d956a996841501efaf8a62539b91e1e19d93 (diff)
downloadslackbuilds-095cd045fc63a91ad502a715d9ba522137603bec.tar.xz
desktop/ClamAV-GUI: Added (ClamAV GUI).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/ClamAV-GUI/ClamAV-GUI.SlackBuild106
-rw-r--r--desktop/ClamAV-GUI/ClamAV-GUI.info10
-rw-r--r--desktop/ClamAV-GUI/README7
-rw-r--r--desktop/ClamAV-GUI/doinst.sh13
-rw-r--r--desktop/ClamAV-GUI/slack-desc19
5 files changed, 155 insertions, 0 deletions
diff --git a/desktop/ClamAV-GUI/ClamAV-GUI.SlackBuild b/desktop/ClamAV-GUI/ClamAV-GUI.SlackBuild
new file mode 100644
index 000000000000..b471ffb70ee4
--- /dev/null
+++ b/desktop/ClamAV-GUI/ClamAV-GUI.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/bash
+
+# Slackware build script for ClamAV-GUI
+
+# Copyright 2024- Antonio Leal, Porto Salvo, Oeiras, Portugal
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=ClamAV-GUI
+VERSION=${VERSION:-20240808_6b6e0f8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+COMMIT=${COMMIT:-6b6e0f85cafea3948afbd7aa2f613591874dafc8}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$COMMIT
+tar xvfz $CWD/$PRGNAM-$COMMIT.tar.gz
+
+cd $PRGNAM-$COMMIT
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+qmake-qt5 PREFIX=/usr
+make
+make install INSTALL_ROOT=$PKG
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+mv $PKG/usr/share/man $PKG/usr/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/$PRGNAM/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/ClamAV-GUI/ClamAV-GUI.info b/desktop/ClamAV-GUI/ClamAV-GUI.info
new file mode 100644
index 000000000000..40dc4ecf1b60
--- /dev/null
+++ b/desktop/ClamAV-GUI/ClamAV-GUI.info
@@ -0,0 +1,10 @@
+PRGNAM="ClamAV-GUI"
+VERSION="20240808_6b6e0f8"
+HOMEPAGE="https://github.com/wusel1007/ClamAV-GUI"
+DOWNLOAD="https://github.com/wusel1007/ClamAV-GUI/archive/6b6e0f85cafea3948afbd7aa2f613591874dafc8/ClamAV-GUI-6b6e0f85cafea3948afbd7aa2f613591874dafc8.tar.gz"
+MD5SUM="2caa5ad085817b6080da584e6d334853"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="clamav"
+MAINTAINER="Antonio Leal"
+EMAIL="antonioleal@yahoo.com"
diff --git a/desktop/ClamAV-GUI/README b/desktop/ClamAV-GUI/README
new file mode 100644
index 000000000000..023c5482bc81
--- /dev/null
+++ b/desktop/ClamAV-GUI/README
@@ -0,0 +1,7 @@
+ClamAV-GUI (A Qt GUI for clamav)
+
+This application provides a graphical user interface for clamav and
+freshclam with an integrated service menu for Konqueror/Dolphin
+to scan files directly from your file manager.
+
+Homepage at https://github.com/wusel1007/ClamAV-GUI
diff --git a/desktop/ClamAV-GUI/doinst.sh b/desktop/ClamAV-GUI/doinst.sh
new file mode 100644
index 000000000000..aea0f894eb32
--- /dev/null
+++ b/desktop/ClamAV-GUI/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/ClamAV-GUI/slack-desc b/desktop/ClamAV-GUI/slack-desc
new file mode 100644
index 000000000000..b9ef85017a58
--- /dev/null
+++ b/desktop/ClamAV-GUI/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ClamAV-GUI: ClamAV-GUI (A Qt GUI for clamav)
+ClamAV-GUI:
+ClamAV-GUI: This application provides a graphical user interface for clamav and
+ClamAV-GUI: freshclam with an integrated service menu for Konqueror/Dolphin
+ClamAV-GUI: to scan files directly from your file manager.
+ClamAV-GUI:
+ClamAV-GUI: Homepage at https://github.com/wusel1007/ClamAV-GUI
+ClamAV-GUI:
+ClamAV-GUI:
+ClamAV-GUI:
+ClamAV-GUI: